package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.ReviewDetails;
import com.ruoyi.domain.ReviewScene;
import com.ruoyi.mapper.ReviewDetailsMapper;
import com.ruoyi.mapper.ReviewSceneMapper;
import com.ruoyi.service.ReviewDetailsService;
import com.ruoyi.service.ReviewSceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ReviewSceneServiceImpl extends ServiceImpl<ReviewSceneMapper, ReviewScene> implements ReviewSceneService {

    @Autowired
    private ReviewSceneMapper reviewSceneMapper;

    @Override
    public List<ReviewScene> findByDetailsList(List<ReviewDetails> reviewDetailsList) {
        return reviewSceneMapper.findByDetailsList(reviewDetailsList);
    }
}
